<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Forum Page</title>
    <link rel="stylesheet" href="task3.css">
</head>
<body>
   <p>this is forum error message if name or post are empty when submitti page</p> 
   <h2>Welcome to Forum Page</h2>
   <p>You can add your post here. Please don't forget to give your name.</p>
   <button onclick="toggleForm()" id="toggleBtn">Add New Post</button>
   <div id="inputField">
       <form action="">
           <div>
            <label for="username">Name</label><br>    
            <input type="text" placeholder="Your name here" id="username">
           </div>
           <br>
           <div>
            <label for="post">Your post</label><br>
            <textarea placeholder="Your post goes here..." rows="8" cols="30" id="userpost"></textarea>
           </div>            
            <button id="submit-post">Submit</button>
       </form>
   </div>
   <div id="post">
        <ul class="postList">
            <!-- <div class="postCreater">Creator</div>
            <button class="del">Delete</button><br><br><br>
            <div class="actPost">
                This is some dummy data to check the result, how it will 
                look like.
            </div> -->
        </ul>
   </div>
   <script src="task3.js"></script>
</body>
</html>